Page MenuHomePhabricator

Flow - MediaWiki\Storage\IncompleteRevisionException from line 262 of /srv/mediawiki/php-1.31.0-wmf.16/includes/Storage/RevisionStore.php: comment must not be NULL!
Closed, ResolvedPublic

Description

[{exception_id}] {exception_url} MediaWiki\Storage\IncompleteRevisionException from line 262 of /srv/mediawiki/php-1.31.0-wmf.16/includes/Storage/RevisionStore.php: comment must not be NULL!

Logstash: https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.01.11/mediawiki/?id=AWDip66ohTduSC7pD0se

#0 /srv/mediawiki/php-1.31.0-wmf.16/includes/Storage/RevisionStore.php(365): MediaWiki\Storage\RevisionStore->failOnNull(NULL, string)
#1 /srv/mediawiki/php-1.31.0-wmf.16/includes/Revision.php(1024): MediaWiki\Storage\RevisionStore->insertRevisionOn(MediaWiki\Storage\MutableRevisionRecord, Wikimedia\Rdbms\DatabaseMysqli)
#2 /srv/mediawiki/php-1.31.0-wmf.16/includes/page/WikiPage.php(1765): Revision->insertOn(Wikimedia\Rdbms\DatabaseMysqli)
#3 /srv/mediawiki/php-1.31.0-wmf.16/includes/page/WikiPage.php(1668): WikiPage->doModify(WikitextContent, integer, User, NULL, array)
#4 /srv/mediawiki/php-1.31.0-wmf.16/extensions/Flow/includes/Import/OptInController.php(242): WikiPage->doEditContent(WikitextContent, NULL, integer, boolean, User)
#5 /srv/mediawiki/php-1.31.0-wmf.16/extensions/Flow/includes/Import/OptInController.php(560): Flow\Import\OptInController->createRevision(Title, string, NULL)
#6 /srv/mediawiki/php-1.31.0-wmf.16/extensions/Flow/includes/Import/OptInController.php(579): Flow\Import\OptInController->editWikitextContent(Title, NULL, Closure$Flow\Import\OptInController::addCurrentTemplate;3395, string)
#7 /srv/mediawiki/php-1.31.0-wmf.16/extensions/Flow/includes/Import/OptInController.php(111): Flow\Import\OptInController->addCurrentTemplate(Title, Title)
#8 /srv/mediawiki/php-1.31.0-wmf.16/extensions/Flow/includes/Import/OptInUpdate.php(50): Flow\Import\OptInController->disable(Title)
#9 /srv/mediawiki/php-1.31.0-wmf.16/includes/deferred/DeferredUpdates.php(259): Flow\Import\OptInUpdate->doUpdate()
#10 /srv/mediawiki/php-1.31.0-wmf.16/includes/deferred/DeferredUpdates.php(210): DeferredUpdates::runUpdate(Flow\Import\OptInUpdate, Wikimedia\Rdbms\LBFactoryMulti, string, integer)
#11 /srv/mediawiki/php-1.31.0-wmf.16/includes/deferred/DeferredUpdates.php(131): DeferredUpdates::execute(array, string, integer)
#12 /srv/mediawiki/php-1.31.0-wmf.16/includes/MediaWiki.php(900): DeferredUpdates::doUpdates(string)
#13 /srv/mediawiki/php-1.31.0-wmf.16/includes/MediaWiki.php(720): MediaWiki->restInPeace(string, boolean)
#14 [internal function]: Closure$MediaWiki::doPostOutputShutdown()
#15 {main}

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 11 2018, 9:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore renamed this task from FLow - MediaWiki\Storage\IncompleteRevisionException from line 262 of /srv/mediawiki/php-1.31.0-wmf.16/includes/Storage/RevisionStore.php: comment must not be NULL! to Flow - MediaWiki\Storage\IncompleteRevisionException from line 262 of /srv/mediawiki/php-1.31.0-wmf.16/includes/Storage/RevisionStore.php: comment must not be NULL!.Jan 11 2018, 9:58 AM
daniel moved this task from Inbox to Done on the Multi-Content-Revisions board.Jan 11 2018, 1:02 PM

So, it looks like this has been fixed on master, but I will backport the 1 line fix to the .16 branch

Addshore moved this task from Done to Next on the Multi-Content-Revisions board.
Restricted Application added a project: User-Addshore. · View Herald TranscriptJan 11 2018, 3:02 PM

Change 403668 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Flow@wmf/1.31.0-wmf.16] Fix IncompleteRevisionException comment must not be NULL!

https://gerrit.wikimedia.org/r/403668

Change 403668 merged by jenkins-bot:
[mediawiki/extensions/Flow@wmf/1.31.0-wmf.16] Fix IncompleteRevisionException comment must not be NULL!

https://gerrit.wikimedia.org/r/403668

Addshore closed this task as Resolved.Jan 12 2018, 11:58 AM
Addshore moved this task from Active 🚁 to Closing ✔️ on the User-Addshore board.
238482n375 removed Addshore as the assignee of this task.Jun 15 2018, 8:03 AM
238482n375 triaged this task as Lowest priority.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.

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

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 10 2018, 3:26 AM